### Note: compton fork renamed to 'picom' since version 7.5

# comment out if not pre-release
#define prel    beta2

%define rel     3

Name:           picom
Version:        8.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        A lightweight compositor for X11 (previously a compton fork)
Group:          Graphical desktop/Other
License:        MIT
#https://github.com/chjj/compton
URL:            https://github.com/yshui/picom
Source:         https://github.com/yshui/picom/archive/v%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.gz
Patch0:         picom-8.2-default-vsync-to-false.patch

BuildRequires:  asciidoc
BuildRequires:  git
BuildRequires:  meson
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)

Requires:       python3

Provides:       compton = %{version}-%{release}
Obsoletes:      compton < 6.2-2

%description
Picom is a lightweight compositor for X11 (previously a compton fork).

Note:

This is forked from the original Compton because that seems to have become
unmaintained.

The current battle plan of this fork is to refactor it to make the code
possible to maintain, so potential contributors won't be scared away when they
take a look at the code.

We also try to fix bugs.

%prep
%setup -qn %{name}-%{version}%{?prel:_%prel}
%autopatch -p1

%build
%meson -Dwith_docs=true
%meson_build

%install
%meson_install

# The config that comes with picom
mkdir -p %{buildroot}%{_sysconfdir}/xdg
install -m 0644 picom.sample.conf %{buildroot}%{_sysconfdir}/xdg/%{name}.conf

%check
%meson_test

%files
%doc CONTRIBUTORS README.md picom.sample.conf
%license COPYING
%{_sysconfdir}/xdg/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-trans
%{_bindir}/compton
%{_bindir}/compton-trans
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/compton.desktop
%{_iconsdir}/hicolor/*/apps/compton.png
%{_iconsdir}/hicolor/scalable/apps/compton.svg
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-trans.1.*


%changelog
* Tue Feb 16 2021 daviddavid <daviddavid> 8.2-3.mga8
+ Revision: 1675476
- set vsync to false in picom.conf

* Tue Feb 16 2021 daviddavid <daviddavid> 8.2-2.mga8
+ Revision: 1675453
- add the default picom config file (mga#28360)

* Sun Oct 25 2020 daviddavid <daviddavid> 8.2-1.mga8
+ Revision: 1639199
- new version: 8.2

* Fri Sep 11 2020 daviddavid <daviddavid> 8.1-1.mga8
+ Revision: 1624664
- new version: 8.1

* Wed Apr 22 2020 daviddavid <daviddavid> 8-1.mga8
+ Revision: 1570600
- new version: 8

* Sat Dec 07 2019 daviddavid <daviddavid> 7.5-1.mga8
+ Revision: 1464951
- new version: 7.5
- new URL and Source URL
- enable LTO
- project compton was renamed upstream as picom

* Sun Apr 21 2019 daviddavid <daviddavid> 6.2-1.mga7
+ Revision: 1394175
- new version: 6.2
- switch to meson build system
- new URL

* Sun Sep 23 2018 umeabot <umeabot> 0.1-0.beta2.3.mga7
+ Revision: 1296747
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 0.1-0.beta2.2.mga7
+ Revision: 1215608
- Rebuild for new libconfig

* Sun Mar 11 2018 neoclust <neoclust> 0.1-0.beta2.1.mga7
+ Revision: 1208098
- imported package compton

